### Function

# GLib dpgettext2

since: 2.18

#### Declaration [src]

    const gchar*
    g_dpgettext2 (
      const gchar* domain,
      const gchar* context,
      const gchar* msgid
    )

#### Description [src]

This function is a variant of `g_dgettext()` which supports a disambiguating message context. GNU gettext uses the ‘\004’ character to separate the message context and message id in `msgctxtid`.

This uses `g_dgettext()` internally. See that functions for differences with `dgettext()` proper.

This function differs from C_() in that it is not a macro and thus you may use non-string-literals as context and msgid arguments.

Available since: 2.18

#### Parameters

`domain`

  Type: `const gchar*`

  The translation domain to use, or `NULL` to use the domain set with textdomain().

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`context`

  Type: `const gchar*`

  The message context.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`msgid`

  Type: `const gchar*`

  The message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The translated string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.